#### D.15.23.7 appendDataToSSI

Procedure from library `ssi.lib` (see ssi_lib).

Usage:
  appendDataToSSI(filename, data); filename string, data list, filename is the path to SSI file, data is the list of expressions to write

Example:

    LIB "ssi.lib";
    ring R = 0, (x, y, z), dp;
    writeDataToSSI("example.ssi", list(x^2, y^2, z^2, "hello world"));
    module M = x*gen(1),y*gen(2);
    appendDataToSSI("example.ssi", list(x^3, ideal(x,y), M));
    list readData = readDataFromSSI("example.ssi");
    readData;
    ==> [1]:
    ==>    x2
    ==> [2]:
    ==>    y2
    ==> [3]:
    ==>    z2
    ==> [4]:
    ==>    hello world
    ==> [5]:
    ==>    x3
    ==> [6]:
    ==>    _[1]=x
    ==>    _[2]=y
    ==> [7]:
    ==>    _[1]=x*gen(1)
    ==>    _[2]=y*gen(2)

User manual for Singular version 4.4.1, 2025, generated by texi2html.